CC=cc
SCDOC=scdoc
LIBS= -lbearssl
PREFIX=/usr/local
OUTDIR=.build
_INSTDIR=$(DESTDIR)$(PREFIX)
BINDIR?=$(_INSTDIR)/bin
LIBDIR?=$(_INSTDIR)/lib
INCLUDEDIR?=$(_INSTDIR)/include
MANDIR?=$(_INSTDIR)/share/man
CACHE=$(OUTDIR)/cache
CFLAGS= \
	-g \
	-std=c11 \
	-D_XOPEN_SOURCE=700 \
	-Wall \
	-Wextra \
	-Werror \
	-pedantic
CFLAGS+=-Iinclude -I$(OUTDIR)
CFLAGS+=-DPREFIX='"$(PREFIX)"'
CFLAGS+=-DLIBDIR='"$(LIBDIR)"'

all: gmni cgmnlm libgmni.a libgmni.pc docs
install_docs: 
	mkdir -p $(MANDIR)/man1
	install -m644 doc/gmni.1 $(MANDIR)/man1/gmni.1
	install -m644 doc/cgmnlm.1 $(MANDIR)/man1/cgmnlm.1
# Begin generated rules for gmni
src/certs.o: src/certs.c
src/client.o: src/client.c
src/escape.o: src/escape.c
src/gmni.o: src/gmni.c
src/tofu.o: src/tofu.c
src/url.o: src/url.c
src/util.o: src/util.c
gmni_objects=\
	src/certs.o \
	src/client.o \
	src/escape.o \
	src/gmni.o \
	src/tofu.o \
	src/url.o \
	src/util.o
# End generated rules for gmni
# Begin generated rules for cgmnlm
src/certs.o: src/certs.c
src/client.o: src/client.c
src/escape.o: src/escape.c
src/gmnlm.o: src/gmnlm.c
src/parser.o: src/parser.c
src/tofu.o: src/tofu.c
src/url.o: src/url.c
src/util.o: src/util.c
cgmnlm_objects=\
	src/certs.o \
	src/client.o \
	src/escape.o \
	src/gmnlm.o \
	src/parser.o \
	src/tofu.o \
	src/url.o \
	src/util.o
# End generated rules for cgmnlm
# Begin generated rules for libgmni.a
src/certs.o: src/certs.c
src/client.o: src/client.c
src/escape.o: src/escape.c
src/tofu.o: src/tofu.c
src/url.o: src/url.c
src/util.o: src/util.c
src/parser.o: src/parser.c
libgmni.a_objects=\
	src/certs.o \
	src/client.o \
	src/escape.o \
	src/tofu.o \
	src/url.o \
	src/util.o \
	src/parser.o
# End generated rules for libgmni.a
